{% extends 'core/base.html' %}
{% load static %}
{% block title %}Perfil{% endblock %}
{% block content %}
<style>.errorlist{color:red;} label{display:none}</style>
<main role="main">
  <div class="container">
    <div class="row mt-3">
      <div class="col-md-9 mx-auto mb-5">
        <form action="" method="post" enctype="multipart/form-data">{% csrf_token %}
          <div class="row">
            <!-- Previa del avatar -->
            <div class="col-md-2">
              {% if request.user.profile.avatar %}
                <img src="{{request.user.profile.avatar.url}}" class="img-fluid">
                <p class="mt-1">¿Borrar? <input type="checkbox" id="avatar-clear" name="avatar-clear" /></p>
              {% else %}
                <img src="{% static 'registration/img/no-avatar.jpg' %}" class="img-fluid">
              {% endif %}
            </div>
            <!-- Formulario -->
            <div class="col-md-10">
              <h3>{{request.user.first_name}} {{request.user.last_name}}</h3>
              <input type="file" name="avatar" class="form-control-file mt-3" id="id_avatar">
              {{ form.bio }}
              {{ form.link }}
              <input type="email" value="{{request.user.email}}" class="form-control mt-3" readonly>
              <p class="mt-3">
                Si deseas editar tu email haz clic <a id="link_footer" href="{% url 'profile_email' %}">aquí</a>.<br>
                Y si quieres cambiar tu contraseña haz clic <a id="link_footer" href="{% url 'password_change' %}">aquí</a>.
              </p>
              <input type="submit" class="btn btn-success btn-block mt-3" value="Actualizar">
            </div>
          </div>
        </form>
      </div>
    </div>
    <div class="row mt-3">
      <div class="col-md-9 mx-auto mb-5">
        {% load services_extras %}
        {% if request.user.is_staff %}
        {% elif request.user|has_group:"profesores" %}
        <h2>Cursos</h2>
          {% get_posts_list as post_list %}
          <table class="table table-hover">
              <thead>
                <tr>
                  <th class="text-center">Ver</th>
                  <th>Curso</th>
                  <th class="text-center">Asistencias</th>
                </tr>
              </thead>
              <tbody>
                {% for post in post_list %}
                  {% if post.teacher.id == request.user.id %}
                    <tr>
                      <th class="text-center align-middle"><a id="link_footer" href="{% url 'posts:post' post.id post.title|slugify %}"><i class="fa fa-eye"></i></a></th>
                      <th>
                        {{post.title}} <br>
                        {% if post.status == 'Finalizado' %}
                          <i style="color: RGB(195,53,56)">{{post.status}}</i>
                        {% elif post.status == 'Pendiente' %}
                          <i style="color: RGB(122,186,5)">{{post.status}}</i>
                        {% else %}
                          <i style="color: black">{{post.status}}</i>
                        {% endif %}
                      </th>
                      <th class="text-center align-middle"><a id="link_warning" href="{% url 'posts:attendance' post.id %}"><i class="fa fa-file-text"></i></a></th>
                    </tr>
                  {% endif %}
                {% endfor %}
              </tbody>
          </table>
        {% else %}
        <h2>Calificaciones</h2>
          {% get_inscription_list as inscription_list %}
          <table class="table table-hover">
              <thead>
                <tr>
                  <th>Curso</th>
                  <th>MT</th>
                  <th>FE</th>
                  <th>FG</th>
                </tr>
              </thead>
              <tbody>
                {% for inscription in inscription_list %}
                  {% if inscription.student.id == request.user.id %}
                    <tr>
                      <th>{{inscription.course}}
                        <br><i style="font-size: 12px">Inscrtio el {{inscription.created}}</i>
                      </th>
                      {% if inscription.midTerm >= 6 %}
                        <th class="align-middle">{{inscription.midTerm}}</th>
                      {% else %}
                        <th style="color: RGB(195,53,56)" class="align-middle">{{inscription.midTerm}}</th>
                      {% endif %}
                      {% if inscription.finalExam >= 6 %}
                        <th class="align-middle">{{inscription.finalExam}}</th>
                      {% else %}
                        <th style="color: RGB(195,53,56)" class="align-middle">{{inscription.finalExam}}</th>
                      {% endif %}
                      {% if inscription.finalGrade >= 6 %}
                        <th class="align-middle">{{inscription.finalGrade}}</th>
                      {% else %}
                        <th style="color: RGB(195,53,56)" class="align-middle">{{inscription.finalGrade}}</th>
                      {% endif %}
                    </tr>
                  {% endif %}
                {% endfor %}
              </tbody>
          </table>
        {% endif %}
      </div>
    </div>
  </div>
</main>
{% endblock %}